Campaigns, email sequences, contact segments, and marketing automation.
AutomationSequences collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of AutomationSequences. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/automation-sequences?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new AutomationSequence record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/automation-sequences \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "AutomationSequence created successfully"
}Campaigns collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Campaigns. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/campaigns?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Campaign record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/campaigns \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Campaign created successfully"
}ContactSegments collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of ContactSegments. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/contact-segments?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new ContactSegment record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/contact-segments \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "ContactSegment created successfully"
}EmailProviders collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of EmailProviders. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/email-providers?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new EmailProvider record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/email-providers \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "EmailProvider created successfully"
}EmailTemplates collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of EmailTemplates. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/email-templates?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new EmailTemplate record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/email-templates \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "EmailTemplate created successfully"
}MarketingForms collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of MarketingForms. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/marketing-forms?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new MarketingForm record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/marketing-forms \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "MarketingForm created successfully"
}